Package org.eclipse.e4.ui.css.swt.properties

# Class GradientBackgroundListener

java.lang.Object
org.eclipse.e4.ui.css.swt.properties.GradientBackgroundListener

All Implemented Interfaces:
  `Listener`

public class GradientBackgroundListener extends Object implements Listener

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`static void`
`handle(Control control, Gradient grad)`
`void`
`handleEvent(Event event)`
Sent when an event that the receiver has registered for occurs.
`static void`
`remove(Control control)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### dispose

public void dispose()

### handle

public static void handle(Control control, Gradient grad)

### remove

public static void remove(Control control)

### handleEvent

public void handleEvent(Event event)
Description copied from interface: `Listener`
Sent when an event that the receiver has registered for occurs.

Specified by:
  `handleEvent` in interface `Listener`
Parameters:
  `event` - the event which occurred